/* example-start helloworld2 helloworld2.c */

#include <gtk/cc/gtk.h>

/* Our new improved callback.  The data passed to this function
* is printed to stdout. */
void callback( GtkWidget *widget, gpointer   data )
{
  g_print ("Hello again - %s was pressed\n", (char *) data);
}

/* another callback */
void delete_event( GtkWidget *widget, GdkEvent  *event, gpointer   data )
{
  gtk_main_quit ();
}

int main( int  argc,  char *argv[] )
{
  GtkWindow *window;
  GtkButton *button;
  GtkBox *box1;

  gtk_init (&argc, &argv);
  window = GtkWindow::_new (GTK_WINDOW_TOPLEVEL);
  window->set_title_ ("Hello Buttons!");
  window->connect_ ("delete_event", GTK_SIG delete_event, NULL);
  window->set_border_width_ (10);

  box1 = GtkHBox::_new (FALSE, 0);
  window->add_ (box1);

  button = GtkButton::_new_with_label ("Button 1");
  button->connect_ ("clicked", GTK_SIG callback, "button 1");
  box1->pack_start_ (button, TRUE, TRUE, 0)->show_ ();

  button = GtkButton::_new_with_label ("Button 2");
  button->connect_("clicked", GTK_SIG callback, "button 2");
  box1->pack_start_(button, TRUE, TRUE, 0)-> show_ ();

  box1->show_();
  window->show_();
  gtk_main ();

  return(0);
}
/* example-end */
      
