#include <stdio.h>
#include <dirent.h>
#include <sys/stat.h>
#include <gtk/cc/gtk.h>
#include <gtkextra/cc/gtkiconfilesel.h>

GtkWidget *filesel;


void
quit ()
{
  gtk_main_quit();
}

void
ok_clicked(GtkWidget *widget, gpointer data)
{
  GtkIconFileSel *filesel;
  gchar *path;
  gchar *file;

  filesel = GTK_ICON_FILESEL(data);
  path = gtk_file_list_get_path(GTK_FILE_LIST(filesel->file_list));
  file = gtk_file_list_get_filename(GTK_FILE_LIST(filesel->file_list));

  if(path)
      printf("PATH: %s\n",path); 
  if(file)
      printf("FILE: %s\n",file); 
}

int main(int argc, char *argv[]) 
{
  gtk_init(&argc, &argv);

  filesel=gtk_icon_file_selection_new("Open File");

  gtk_signal_connect (GTK_OBJECT (filesel), "destroy",
		      GTK_SIGNAL_FUNC (quit), NULL);

  gtk_signal_connect (GTK_OBJECT (GTK_ICON_FILESEL(filesel)->ok_button), 
                     "clicked",
		      GTK_SIGNAL_FUNC (ok_clicked), filesel);

  gtk_widget_show(filesel);
  gtk_main();

  return(0);
}


