/* example-start frame frame.c */

#include <gtk/cc/gtk.h>

int main( int   argc,
          char *argv[] )
{
  /* GtkWidget is the storage type for widgets */
  GtkWindow *window;
  GtkFrame *frame;
  GtkButton *button;
  gint i;

  /* Initialise GTK */
  gtk_init(&argc, &argv);
    
  /* Create a new window */
  window = GtkWindow::_new (GTK_WINDOW_TOPLEVEL);
  window->set_title_ ("Frame Example");

  /* Here we connect the "destroy" event to a signal handler */ 
  window->connect_ ("destroy", GTK_SIG gtk_main_quit, NULL);

  window->set_usize_ (300, 300);
  /* Sets the border width of the window. */
  window->set_border_width_ (10);

  /* Create a Frame */
  frame = GtkFrame::_new(0);
  window->add_ (frame);

  /* Set the frames label */
  frame->set_label_ ("GTK Frame Widget");

  /* Align the label at the right of the frame */
  frame->set_label_align_ (1.0, 0.0);

  /* Set the style of the frame */
  frame->set_shadow_type_ (GTK_SHADOW_ETCHED_OUT);

  frame->show_ ();
  
  /* Display the window */
  window->show_ ();
    
  /* Enter the event loop */
  gtk_main ();
    
  return(0);
}
/* example-end */
