#include <stdio.h>
#include <dirent.h>
#include <sys/stat.h>
#include <gtk/cc/gtk.h>
#include <gtkextra/cc/gtkiconfilesel_.h>

void
quit ()
{
  gtk_main_quit();
}

void
ok_clicked(GtkWidget *widget, GtkIconFileSel* filesel)
{
  gchar *path;
  gchar *file;

  path = filesel->file_list->get_path_ ();
  file = filesel->file_list->get_filename_ ();

  if(path)
      printf("PATH: %s\n",path); 
  if(file)
      printf("FILE: %s\n",file); 
}

int main(int argc, char *argv[]) 
{
  GtkIconFileSel *filesel;
  gtk_init(&argc, &argv);

  /* GtkIconFileSel::_new <-> gtk_icon_file_selection_new */
  filesel= (GtkIconFileSel*)gtk_icon_file_selection_new("Open File");
  filesel->connect_ ("destroy", GTK_SIG quit, NULL);
  filesel->ok_button->connect_ ("clicked", GTK_SIG ok_clicked, filesel);
  filesel->show_ ();

  gtk_main();
  return(0);
}


